Update notification preferences
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences"
payload = {
"transactional": {
"email": True,
"sms": True,
"whatsapp": True
},
"promotional": {
"email": True,
"sms": True,
"whatsapp": True
},
"newsletter": {
"email": True,
"sms": True,
"whatsapp": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactional: {email: true, sms: true, whatsapp: true},
promotional: {email: true, sms: true, whatsapp: true},
newsletter: {email: true, sms: true, whatsapp: true}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
}
}
}Customers
Update notification preferences
Update notification preferences
PUT
/
customers
/
{id}
/
notification-preferences
Update notification preferences
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
customer id
Body
application/json
Set channel preferences for each type of
These notifications are typically critical for user engagement, providing updates, confirmations, or alerts related to their account activities.
Show child attributes
Show child attributes
These notifications aim to engage users with promotional content and enhance their overall experience with the platform.
Show child attributes
Show child attributes
These notifications are often sent periodically as part of a subscription service.
Show child attributes
Show child attributes
Was this page helpful?
⌘I